local items = {
    ["automation-science-pack"] = {
        icon_size = 128,
        icon = "__cb-science__/graphics/red.png",
    },
    ["logistic-science-pack"] = {
        icon_size = 128,
        icon = "__cb-science__/graphics/green.png",
    },
    ["military-science-pack"] = {
        icon_size = 128,
        icon = "__cb-science__/graphics/black.png",
    },
    ["chemical-science-pack"] = {
        icon_size = 128,
        icon = "__cb-science__/graphics/cyan.png",
    },
    ["production-science-pack"] = {
        icon_size = 128,
        icon = "__cb-science__/graphics/purple.png",
    },
    ["utility-science-pack"] = {
        icon_size = 128,
        icon = "__cb-science__/graphics/yellow.png",
    },
    ["space-science-pack"] = {
        icon_size = 128,
        icon = "__cb-science__/graphics/white.png",
    },
}

for name, definition in pairs(items) do
    for property, value in pairs(definition) do
        if data.raw.technology[name] then
            data.raw.technology[name][property] = value
        end
        if data.raw.tool[name] then
            data.raw.tool[name][property] = value
        end
    end
end